Welcome guest. Before posting on our computer help forum, you must register. Click here it's easy and free.

Author Topic: Skype in Linux Lite Error: Dependency is not satisfiable: libasound2 (>= 1.0.23)  (Read 92090 times)

0 Members and 1 Guest are viewing this topic.

ExasperatedVulture

    Topic Starter


    Rookie

    • Experience: Beginner
    • OS: Windows 7
    I've written down a bunch of background stuff which I'm going to have at the bottom so that the problem is at the top. If for some reason there isn't enough background listed with the problem, maybe the huge chunk of stuff at the bottom will have it listed.

    I'm using Linux Lite 1.0.6 32 bit I think. I'm trying to download Skype on it. I previously had Skype working without a hitch while using Linux Lite on another hard drive. I'm running it off a 2GB flash drive right now. Now on this new hard drive, when I try to install Skype I get an error saying "Error: Dependency is not satisfiable: libasound2 (>= 1.0.23)" on the Status area of the package installer. As far as I can tell, that looks like it's saying that the error is due to libasound2 (whatever that is) being greater than 1.0.23? Does that mean I need a version older then 1.0.23? Maybe it doesn't mean that at all. Anyway, that's what it says. I can't hit the install package button, can only exit out. The thing I downloaded is on the Skype downloads page. It's under the "Choose your distribution" tab as "Ubuntu 12.04 (multiarch)". I downloaded that same thing last time I booted up Linux Lite from this same flash drive on a different hard drive. It worked that time. That was 2 days ago. Today, on a different hard drive I'm getting this error. I downloaded libasound2 1.0.22 off some site after looking up this problem. When I tried to install it, I got an error saying "A newer version is already installed". I don't know anything about programming or Linux. I'm using it for right now for reasons explained in the extra background junk at the bottom. That's about it, I can't install Skype because it says that dependency not satisfiable line.

    Details about computer (as far as I can remember)
    2GB flash drive plugged in, about half taken up when I put Linux Lite on it.
    2 4GB sticks of RAM
    Radeon HD 6970 graphics card (I think, number might be like 20 higher or lower)
    AMD processor, six core, I vaguely remember seeing something like "Phenom 1100T" on Windows 7
    800 watt power supply
    2 1TB hard drives
    Disk drive of questionable functionality
    ASUS M5A97 LE R2.0 motherboard


    Extra background:
    I think I'm using Linux Lite right now. On this page https://www.linuxliteos.com/download.html the version I think I'm using is the first one down, 1.0.6 32 bit. I think. I don't know enough about Linux or computers to find out what I'm using. Anyway, the reason I'm using it is that a few days ago, for no particular reason, Windows 7 decided it wasn't going to boot. I have no clue why. I assume it's because my computer thinks I haven't hemorrhaged enough money yet. I tried putting the reinstall Windows 7 disk in the disk drive. The disk drive would take several presses to even open. I got the disk in. On the boot menu thing (mine looks like this: http://www.extremetech.com/wp-content/uploads/2011/09/ASUS-EFI-01.jpg) the disk drive just wouldn't appear. Except it would sometimes. Like 1/4 of the time. So if I set it to boot first or whatever it was I was trying to do, then exit the menu, it just wouldn't work. The disk drive is connected correctly. So I tried to look up on another computer ways to fix this. I found something about putting the reinstall disk stuff on a flash drive. I decided I'd follow that route, but found out it required at least a 4GB flash drive. I only had a pair of 2GB flash drives (one of which has stuff on it). So I found out you could set up a flash drive so that you could put an operating system on it and then have the computer boot from it or something like that. So I downloaded Ubuntu onto the spare flash drive and decided to try booting it up using a different hard drive (a brand new, empty one). Sure enough it booted up and worked, but I didn't like Ubuntu for a variety of reasons. I could browse the internet, but for some reason couldn't install Adobe Flash so I couldn't watch any videos or listen to any sound files online (at least none I could find). Since I basically couldn't do anything with Ubuntu, I got frustrated and deleted everything off the flash drive. Then I downloaded Linux Lite onto it, because the pictures I saw of it showed desktop icons and a menu bar thing. So anyway, still on the brand new hard drive I booted up Linux Lite, and everything worked fine. I was able to install Steam and Skype without a hitch, and it came with Adobe Flash already working.

    Then I decided earlier today to try and hook up my original hard drive, the one that had all my stuff on it. I have two hard drives in my computer: The hard drive I've got all my stuff on, and then another hard drive that I bought to put extra stuff in. I've copied some of the "important" stuff off of my first hard drive and onto the second, but I've still got a lot of stuff on the first hard drive I'd like to salvage. In addition to those, I've also got a third brand new hard drive, which is empty. I've also got a fourth which I don't think works. While using Linux Lite on my third hard drive, the new one, one of the desktop items was "SecondHD", which is what I labeled my second hard drive as when I set it up a while ago. Aside from that, there was only the default stuff on the desktop (Home, Install Linux Lite). I wondered if I could boot up my PC with my original hard drive, the one with the Windows 7 that failed to boot. I wondered if when I did this, I'd have an icon on my desktop for the stuff on my first hard drive, since there was an icon for my second hard drive. The third drive was empty so of course nothing was showing up. So anyway, I did all that and everything worked. There is no icon for my first hard drive, and aside from the "SecondHD" icon, everything is showing up as the default stuff. So I guess I was wrong. Anyway, all the stuff I had set up on Linux Lite while using the other hard drive was gone. I had to set it up to connect to the internet again, had to re-download all my add-ons for Firefox, had to resize my desktop and change the background again, had to fix my timezone again, and had to re-download Skype.

    Bil



      Newbie

      • Experience: Experienced
      • OS: Linux variant
      7 years old.....Nobody has answered. Can't call that computerHOPE.....for somebody in trouble.

      can't understand that nobody could tell your libasound was to old for skype.
      I hope you read this anyway. Maybe you'r experienced linux user by now.

      But if you'r not I can recomand it to start with.
      But don't start with something like linux lite, you better start with Linux Mint or ubuntu. They have a good forum with help too.
      I should recomand to take MINT with XFCE desktop.
      Good luck!

      BC_Programmer


        Mastermind
      • Typing is no substitute for thinking.
      • Thanked: 1140
        • Yes
        • Yes
        • BC-Programming.com
      • Certifications: List
      • Computer: Specs
      • Experience: Beginner
      • OS: Windows 11
      >7 years old.....Nobody has answered. Can't call that computerHOPE.....for somebody in trouble.

      In the forum's defense, that user had been posting for about a year at the time they made this topic and their topics were always novels. Personally, I stopped even bothering to read them because you could make a breakfast from the amount of waffle they had. Maybe others took the same approach.
      I was trying to dereference Null Pointers before it was cool.